Page MenuHomePhabricator

Escape variable creation error messages.
ClosedPublic

Authored by paulmaybee on Jul 28 2015, 12:19 PM.

Details

Summary

Expression evaluation error messages may have embedded new lines and tabs. These should be escaped in the result string.

Diff Detail

Event Timeline

paulmaybee retitled this revision from to Escape variable creation error messages..
paulmaybee updated this object.
paulmaybee added reviewers: abidh, ki.stfu, ChuckR.
paulmaybee added subscribers: lldb-commits, greggm.
ki.stfu requested changes to this revision.Jul 28 2015, 11:32 PM
ki.stfu edited edge metadata.
ki.stfu added inline comments.
tools/lldb-mi/MICmdCmdVar.cpp
258

I believe we should also escape quotes, isn't it?

Use:

const CMICmnMIValueConst miValueConst(strErrMsg.Escape(true /* vbEscapeQuotes */));
This revision now requires changes to proceed.Jul 28 2015, 11:32 PM
paulmaybee edited edge metadata.

Escape quotes too.

ki.stfu accepted this revision.Jul 29 2015, 9:57 PM
ki.stfu edited edge metadata.
This revision is now accepted and ready to land.Jul 29 2015, 9:57 PM

Can you please check it in? Thanks.

abidh closed this revision.Jul 31 2015, 2:25 AM
abidh edited edge metadata.

Committed in 243741.